import { CompressOptions } from './interfaces';
/**
 * Compressing files.
 */
export declare class Compress {
    private readonly nativeFs;
    private readonly incremental;
    private readonly config;
    private readonly options;
    private readonly outputPath;
    private readonly compressionInstances;
    private readonly target;
    private readonly service;
    /**
     * Creates an instance of Compress.
     */
    constructor(target: string, outputPath?: string | null, options?: CompressOptions);
    /**
     * Start compressing files.
     */
    run(): Promise<string[]>;
    /**
     * Returns available files to compress.
     */
    private getFilesToCompress;
    /**
     * Create workers for parallel compression.
     */
    private createWorkers;
    /**
     * Run compress worker
     */
    private runCompressWorker;
    /**
     * Show message with compression params.
     */
    private compressionLog;
}
