/// <reference types="node" />
import zlib from 'zlib';
import { Compression } from './Compression';
import { CompressOptions, CompressionOptions } from '../interfaces';
import { CompressionExtensions, CompressionNames } from '../enums';
/**
 * Deflate compression
 */
export declare class DeflateCompression extends Compression<CompressionOptions> {
    readonly compressionName = CompressionNames.DEFLATE;
    readonly ext = CompressionExtensions.DEFLATE;
    /**
     * Creates an instance of DeflateCompression.
     */
    constructor(options: CompressOptions);
    /**
     * Returns deflate compression instance in closure.
     */
    getCompression(): zlib.Deflate;
    /**
     * Build deflate compression options object.
     */
    protected selectCompression(): void;
}
