/// <reference types="node" />
import zlib from 'zlib';
import { Compression } from './Compression';
import { CompressOptions, CompressionOptions } from '../interfaces';
import { CompressionExtensions, CompressionNames } from '../enums';
/**
 * Gzip compression
 */
export declare class GzipCompression extends Compression<CompressionOptions> {
    readonly compressionName = CompressionNames.GZIP;
    readonly ext = CompressionExtensions.GZIP;
    /**
     * Creates an instance of GzipCompression.
     */
    constructor(options: CompressOptions);
    /**
     * Returns gzip compression instance in closure.
     */
    getCompression(): zlib.Gzip;
    /**
     * Build deflate compression options object.
     */
    protected selectCompression(): void;
}
