import { Compression } from './Compression';
import { CompressOptions, ZopfliOptions } from '../interfaces';
import { CompressionExtensions, CompressionNames } from '../enums';
import { ZopfliStream } from './ZopfliStream';
/**
 * Zopfli compression
 */
export declare class ZopfliCompression extends Compression<ZopfliOptions> {
    readonly compressionName = CompressionNames.ZOPFLI;
    readonly ext = CompressionExtensions.GZIP;
    /**
     * Creates an instance of ZopfliCompression
     */
    constructor(options: CompressOptions);
    /**
     * Returns zopfli compression instance in closure.
     */
    getCompression(): ZopfliStream;
    /**
     * Build zopfli compression options object.
     */
    protected selectCompression(): void;
}
