/// <reference types="node" />
import stream from 'stream';
import { Compression } from './Compression';
import { CompressOptions, ZstdOptions } from '../interfaces';
import { CompressionExtensions, CompressionNames } from '../enums';
/**
 * Zstd compression
 */
export declare class ZstdCompression extends Compression<ZstdOptions> {
    readonly compressionName = CompressionNames.ZSTD;
    readonly ext = CompressionExtensions.ZSTD;
    /**
     * Creates an instance of ZstdCompression.
     */
    constructor(options: CompressOptions);
    /**
     * Returns zstd compression instance in closure.
     */
    getCompression(): Promise<stream.Transform>;
    /**
     * Build zstd compression options object.
     */
    protected selectCompression(): void;
}
